# Mobility Agent Advertisement Configurations

## Navigation

1. Right-click the device, and select Configure. The Device Configuration dialog box appears.

2. Select Mobility Agent Advertisement Configurations from the Category list.

The following information appears:

> MA Advertisement Interface Index (cmiMaAdvInterfaceIndex)

> MA Interface Address Type (cmiMaInterfaceAddressType)

> IP Address for Advertisement Interface (cmiMaInterfaceAddress)

> Max Registration Lifetime (cmiMaAdvMaxRegLifetime)

> Advertisement Prefix Length Inclusion (cmiMaAdvPrefixLengthInclusion)

> MA Address Type (cmiMaAdvAddressType)

> MA Advertisement Address (cmiMaAdvAddress)

> Max Time Interval between Advertisements (cmiMaAdvMaxInterval)

> Min Time Interval between Advertisements (cmiMaAdvMinInterval)

> Max Advertisement Lifetime (cmiMaAdvMaxAdvLifetime)

> Response Solicitation Only (cmiMaAdvResponseSolicitationOnly)

> MA Advertisement Row Status (cmiMaAdvStatus)

### MA Advertisement Interface Index (cmiMaAdvInterfaceIndex)

The ifIndex value from the Interfaces table of MIB II for the interface that is advertising.

### MA Interface Address Type (cmiMaInterfaceAddressType)

The type of IP address stored in cmiMaInterfaceAddress.

### IP Address for Advertisement Interface (cmiMaInterfaceAddress)

The IP address for the advertisement interface.

### Max Registration Lifetime (cmiMaAdvMaxRegLifetime)

The longest lifetime in seconds that mobility agent will accept in any registration request.

### Advertisement Prefix Length Inclusion (cmiMaAdvPrefixLengthInclusion)

Indicates whether the advertisement should include the Prefix-Lengths Extension. If true, all advertisements sent over this interface should include the Prefix-Lengths Extension.

### MA Address Type (cmiMaAdvAddressType)

The type of IP address stored in cmiMaAdvAddress.

### MA Advertisement Address (cmiMaAdvAddress)

The IP destination address to be used for advertisements sent from the interface. The only permissible values are one of the following:

- The all-systems multicast address (224.0.0.1). Default value: 224.0.0.1 if the router supports IP multicast on the interface.
- The limited-broadcast address (255.255.255.255). Default value: 255.255.255.255.

### Max Time Interval between Advertisements (cmiMaAdvMaxInterval)

The maximum time in seconds between successive transmissions of agent advertisements from this interface. Default values are:

- 600 seconds for an interface which uses IEEE 802 style headers and for ATM interface.
- Zero (0) in other cases.

### Min Time Interval between Advertisements (cmiMaAdvMinInterval)

The minimum time in seconds between successive transmissions of agent advertisements from this interface. Default value is 0.75 * cmiMaAdvMaxInterval.

### Max Advertisement Lifetime (cmiMaAdvMaxAdvLifetime)

The time (in seconds) to be placed in the Lifetime field of the RFC 1256-portion of the agent advertisements sent over this interface. Default value is 3 * cmiMaAdvMaxInterval.

### Response Solicitation Only (cmiMaAdvResponseSolicitationOnly)

Flag indicates whether the advertisement from that interface should be sent in response only to an agent solicitation message. This value depends upon cmiMaAdvMaxInterval. If cmiMaAdvMaxInterval is zero, this value will be set to true. If this value is set to true, then cmiMaAdvMaxInterval will be set to zero.

### MA Advertisement Row Status (cmiMaAdvStatus)

The row status for the agent advertisement table. If this column status is 'active', the manager should not change any column in the row. Only cmiMaAdvInterfaceIndex is mandatory for creating a new row. The interface should already exist.